Subject: [patch 1/2] kcmp: Make it to depend on CONFIG_KCMP

From: [email-masked] (Cyrill Gorcunov)
Date: Wed, 20 Feb 2013 02:11:46 +0400

On Tue, Feb 19, 2013 at 02:00:35PM -0800, Andrew Morton wrote:
> > 
> > I think this syscall is usefull even without c/r stuff.
> > That's why I made it with separate config option.
> 
> hm, OK.
> 
> But the patch also permits CONFIG_CHECKPOINT_RESTORE=y, CONFIG_KCMP=n
> which surely isn't something which CRIU wants to support?

Hmm, yes from one pov this feature is useful for out-of-c/r user,
from another pov -- we will have to ask users to turn on additional
CONFIG entries (which i'm sure not set by default in wide range of distros).
Thus it seems less paiful way is either make it obj-(CHECKPOINT_RESTORE)
as you proposed, or obj-y by default. The last can't be undone, so I'll
prepare the patch for obj-(CHECKPOINT_RESTORE) I think.